---

layout:     post
title:      "Idea for Part-time Agile Development Shop"
slug:       "part-time-agile"
date:       2015-02-25 10:34:00
categories: life

---

Agile software development is awesome, but there's more to life than writing
code, developing software, and becoming the next successful start-up. People
might like to work part-time so that they can devote the rest of their time to
other things like school, research, theirs kids, or what-have-you in a
sustainable way. Unfortunately part-timer employees at full-time Agile shops can
create friction.  Web search "agile part time employee" and you'll see a wash of
people trying to hammer out the problem of how to coordinate fragmented,
part-time, and/or remote teams in an agile work place.  The problem, I think, is
that it's not possible, or at least it's very hard. Think: trying to jam a large
rectangular prism through a small circular hole. You might make it work, but
you're probably not going to like it.

But that's only thinking about the problem with the 8 hour work week as a
constant.  Read on to see a proposed way to work agile, part-time.

<!--more-->

Agile Buy In
------------
Agile works when everyone buys into it 100%. You're going to partner all the
time, you're going all to test drive your code. You're all going to have small
teams (2-6) working on a sole project that stand-up and retrospect. You're going
to cycle your pairs within your team and the members of your team. Web search
"Agile the Pivotal Way" and watch [any of][AtPW1] [those videos][AtPW2] and
you'll get a good idea of what a well-running 100% agile/XP/alternative
development shop looks like.

[AtPW1]: https://vimeo.com/52923973
[AtPW2]: http://pivotallabs.com/103-agile-the-pivotal-way/

Being Part Time Isn't Lazy
--------------------------
Somehow, we've got it in our heads that working 8 hours a week (or more) at a
single job is needed.  However, most people are self-admittedly multi-faceted.
They might want to pursue a graduate degree, learn about another subject
entirely, volunteer, be a Batista at a coffee house, home school their kids. The
exact motivation could be anything, let's merely acknowledge that it could be
awesome to split up your day, and flex your brain and body in different ways
throughout the day.

A Solution
----------
So you can see where the rub is, right? How do you get 100% Agile buy in and
let people work part-time?  My proposed solution is to have everyone buy in to a
part-time development cycle.  An example of your company's schedule could be
this:

    00:00 - 12:00 - Company members live their lives away from work
    12:00 - 13:00 - all Company members come to office, have lunch, and chat
    13:00 - 13:30 - Company stands up, Company splits into teams
                    team stands up, split into pairs
    13:30 - 18:00 - pairs program
                    ~30 minutes is used in this block for one break big or multiple small breaks
    18:00 - XX:XX - reform into Company, have drinks, unwind
    XX:XX - 24:00 - Company members live their lives away from work

The formula is (approximately): one hour for lunch, half hour for stand-ups,
four-and-a-half hours for programing (with a half-hours worth of
break time sprinkled in), unwind, and go do whatever. *Optionally* (and I stress
 **optionally**) company members can come together before work or after work and
 have talks, perform research in groups, just hang out, but the important thing
 is it is truly *their time*.

For me, the problem is right now is to find some people (at least one) to start
this crazy idea with.  I am thinking of taking the summer and working
(full-time) for an agile shop or coaching a company into getting to agile, so
that I can get into that well-tested full-time agile groove and then in the fall
of 2015 coming together with a person/team form a Company doing part-time agile.

Are you crazy enough to give this a try this with me? Drop me a line:
<apocryphalauthor@gmail.com>.

